Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.faces.ui
Class AjaxViewRoot

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UIViewRoot
                  org.springframework.faces.ui.DelegatingViewRoot
                      org.springframework.faces.ui.AjaxViewRoot

All Implemented Interfaces:
  java.util.EventListener, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.component.UniqueIdVendor, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder

    public class AjaxViewRoot

extends DelegatingViewRoot

Customizes the behavior of an existing UIViewRoot with Ajax-aware processing.

This component is the key to rendering partial subtrees of the JSF component tree. It makes use of JSF 1.2's `UIComponent.invokeOnComponent(FacesContext, String, ContextCallback)` method to execute the various phases of the `Lifecycle` on each subtree.

Author:
  Jeremy Grelle, Nazaret Kazarian

Field Summary
`static java.lang.String` | `AJAX_SOURCE_PARAM`
`protected static java.lang.String` | `FORM_RENDERED`
`protected static java.lang.String` | `PROCESS_ALL`
`static java.lang.String` | `PROCESS_IDS_PARAM`

Fields inherited from class javax.faces.component.UIViewRoot
`COMPONENT_FAMILY, COMPONENT_TYPE, METADATA_FACET_NAME, UNIQUE_ID_PREFIX, VIEW_PARAMETERS_KEY`

Fields inherited from class javax.faces.component.UIComponent
`ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

Constructor Summary
`AjaxViewRoot(javax.faces.component.UIViewRoot original)`

Method Summary
`void` | `encodeAll(javax.faces.context.FacesContext context)`
`java.lang.String` | `getId()`
`protected java.lang.String[]` | `getProcessIds()`
`protected java.lang.String[]` | `getRenderIds()`
`void` | `processApplication(javax.faces.context.FacesContext context)`
`void` | `processDecodes(javax.faces.context.FacesContext context)`
`void` | `processUpdates(javax.faces.context.FacesContext context)`
`void` | `processValidators(javax.faces.context.FacesContext context)`
`void` | `queueEvent(javax.faces.event.FacesEvent event)`

Methods inherited from class org.springframework.faces.ui.DelegatingViewRoot
`addPhaseListener, broadcast, createUniqueId, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAfterPhaseListener, getAttributes, getBeforePhaseListener, getChildCount, getChildren, getClientId, getContainerClientId, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getFamily, getLocale, getOriginalViewRoot, getParent, getRendererType, getRenderKitId, getRendersChildren, getValueBinding, getValueExpression, getViewId, invokeOnComponent, isRendered, isTransient, processRestoreState, processSaveState, removePhaseListener, restoreState, saveState, setAfterPhaseListener, setBeforePhaseListener, setId, setLocale, setParent, setRendered, setRendererType, setRenderKitId, setTransient, setValueBinding, setValueExpression, setViewId`

Methods inherited from class javax.faces.component.UIViewRoot
`addComponentResource, addComponentResource, broadcastEvents, createUniqueId, getComponentResources, getPhaseListeners, getViewListenersForEventClass, getViewMap, getViewMap, isInView, removeComponentResource, removeComponentResource, resetValues, restoreViewScopeState, setInView, subscribeToViewEvent, unsubscribeFromViewEvent`

Methods inherited from class javax.faces.component.UIComponentBase
`addClientBehavior, addFacesListener, clearInitialState, getClientBehaviors, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getListenersForEventClass, getPassThroughAttributes, getRenderer, markInitialState, removeFacesListener, restoreAttachedState, saveAttachedState, subscribeToEvent, unsubscribeFromEvent`

Methods inherited from class javax.faces.component.UIComponent
`getClientId, getCompositeComponentParent, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getPassThroughAttributes, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, initialStateMarked, isCompositeComponent, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, visitTree`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### AJAX_SOURCE_PARAM

    public static final java.lang.String AJAX_SOURCE_PARAM

See Also:
  Constant Field Values

### PROCESS_IDS_PARAM

    public static final java.lang.String PROCESS_IDS_PARAM

See Also:
  Constant Field Values

### FORM_RENDERED

    protected static final java.lang.String FORM_RENDERED

See Also:
  Constant Field Values

### PROCESS_ALL

    protected static final java.lang.String PROCESS_ALL

See Also:
  Constant Field Values

Constructor Detail

### AjaxViewRoot

    public AjaxViewRoot(javax.faces.component.UIViewRoot original)

Method Detail

### getId

    public java.lang.String getId()

  Overrides:
    `getId` in class `DelegatingViewRoot`
  See Also:
    `UIComponentBase.getId()`

### queueEvent

    public void queueEvent(javax.faces.event.FacesEvent event)

  Overrides:
    `queueEvent` in class `DelegatingViewRoot`
  See Also:
    `UIViewRoot.queueEvent(javax.faces.event.FacesEvent)`

### encodeAll

    public void encodeAll(javax.faces.context.FacesContext context)
                   throws java.io.IOException

  Overrides:
    `encodeAll` in class `DelegatingViewRoot`
  Throws:
    `java.io.IOException`
  See Also:
    `UIComponent.encodeAll(javax.faces.context.FacesContext)`

### processDecodes

    public void processDecodes(javax.faces.context.FacesContext context)

  Overrides:
    `processDecodes` in class `DelegatingViewRoot`
  See Also:
    `UIViewRoot.processDecodes(javax.faces.context.FacesContext)`

### processUpdates

    public void processUpdates(javax.faces.context.FacesContext context)

  Overrides:
    `processUpdates` in class `DelegatingViewRoot`
  See Also:
    `UIViewRoot.processUpdates(javax.faces.context.FacesContext)`

### processValidators

    public void processValidators(javax.faces.context.FacesContext context)

  Overrides:
    `processValidators` in class `DelegatingViewRoot`
  See Also:
    `UIViewRoot.processValidators(javax.faces.context.FacesContext)`

### processApplication

    public void processApplication(javax.faces.context.FacesContext context)

  Overrides:
    `processApplication` in class `DelegatingViewRoot`
  See Also:
    `UIViewRoot.processApplication(javax.faces.context.FacesContext)`

### getProcessIds

    protected java.lang.String[] getProcessIds()

### getRenderIds

    protected java.lang.String[] getRenderIds()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD